Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-1174

Puppetlabs-Acl may break on Puppet 3.7.0

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved
    • Normal
    • Resolution: Fixed
    • None
    • None
    • acl, supported
    • None

    Description

      Just a heads up, this might be an issue with the next version of puppet.

      There are certain gems and constants that the provider is using currently that will not be there once the new version comes out. Unless a module installs it's own gems when it is installed, well...

      The good news is that most all fixes will be local to https://github.com/puppetlabs/puppetlabs-acl/blob/master/lib/puppet/provider/acl/windows/base.rb

      This will for sure be gone: https://github.com/puppetlabs/puppetlabs-acl/blob/master/lib/puppet/provider/acl/windows/base.rb#L13

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              rob Rob Reynolds
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Zendesk Support